Package com.sas.lsaf.clinical.tlftemplate

## Class TlfTemplateImportInfo

- java.lang.Object
- - com.sas.lsaf.clinical.tlf.TlfImportInfo
  - - com.sas.lsaf.clinical.tlftemplate.TlfTemplateImportInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TlfTemplateImportInfo
      extends TlfImportInfo

  The class that represents all of the details to import of TLFs to a TLF template.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlfTemplateImportInfo()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getTlfRevision()` | Gets the internal revision number of the TLFs in the TLF template.
    `java.lang.String` | `getTlfTemplateId()` | Gets the unique identifier of the TLF template.
    `void` | `setTlfRevision​(long tlfRevision)` | Sets the internal revision number of the TLFs in the TLF template.
    `void` | `setTlfTemplateId​(java.lang.String tlfTemplateId)` | Sets he unique identifier of the TLF template.

    - ### Methods inherited from class com.sas.lsaf.clinical.tlf.TlfImportInfo

      `getDataSetsFilePath, getDataSetsFileVersion, getImportFileSourceLocation, getResultsFilePath, getResultsFileVersion, getSectionsFilePath, getSectionsFileVersion, getTlfsFilePath, getTlfsFileVersion, getUpdateAction, setDataSetsFilePath, setDataSetsFileVersion, setImportFileSourceLocation, setResultsFilePath, setResultsFileVersion, setSectionsFilePath, setSectionsFileVersion, setTlfsFilePath, setTlfsFileVersion, setUpdateAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TlfTemplateImportInfo

          public TlfTemplateImportInfo()

      Constructor.

  - ### Method Detail

    - #### getTlfTemplateId

          public java.lang.String getTlfTemplateId()

      Gets the unique identifier of the TLF template.
      Returns:
        The TLF template id.

    - #### setTlfTemplateId

          public void setTlfTemplateId​(java.lang.String tlfTemplateId)

      Sets he unique identifier of the TLF template.
      Parameters:
        `tlfTemplateId` - The TLF template id.

    - #### getTlfRevision

          public long getTlfRevision()

      Gets the internal revision number of the TLFs in the TLF template.
      Returns:
        The internal revision number.

    - #### setTlfRevision

          public void setTlfRevision​(long tlfRevision)

      Sets the internal revision number of the TLFs in the TLF template.
      Parameters:
        `tlfRevision` - The internal revision number.